<?php
	
$packers_and_movers_tp_theme_css = '';

	$packers_and_movers_tp_color_option = get_theme_mod('packers_and_movers_tp_color_option');

	// 1st color
	$packers_and_movers_tp_color_option_first = get_theme_mod('packers_and_movers_tp_color_option_first', '#D70006');
	if ($packers_and_movers_tp_color_option_first) {
		$packers_and_movers_tp_theme_css .= ':root {';
		$packers_and_movers_tp_theme_css .= '--color-primary1: ' . esc_attr($packers_and_movers_tp_color_option_first) . ';';
		$packers_and_movers_tp_theme_css .= '}';
	}

	// preloader
	$packers_and_movers_tp_preloader_color1_option = get_theme_mod('packers_and_movers_tp_preloader_color1_option');

	if($packers_and_movers_tp_preloader_color1_option != false){
	$packers_and_movers_tp_theme_css .='.center1{';
		$packers_and_movers_tp_theme_css .='border-color: '.esc_attr($packers_and_movers_tp_preloader_color1_option).' !important;';
	$packers_and_movers_tp_theme_css .='}';
	}
	if($packers_and_movers_tp_preloader_color1_option != false){
	$packers_and_movers_tp_theme_css .='.center1 .ring::before{';
		$packers_and_movers_tp_theme_css .='background: '.esc_attr($packers_and_movers_tp_preloader_color1_option).' !important;';
	$packers_and_movers_tp_theme_css .='}';
	}

	$packers_and_movers_tp_preloader_color2_option = get_theme_mod('packers_and_movers_tp_preloader_color2_option');

	if($packers_and_movers_tp_preloader_color2_option != false){
	$packers_and_movers_tp_theme_css .='.center2{';
		$packers_and_movers_tp_theme_css .='border-color: '.esc_attr($packers_and_movers_tp_preloader_color2_option).' !important;';
	$packers_and_movers_tp_theme_css .='}';
	}
	if($packers_and_movers_tp_preloader_color2_option != false){
	$packers_and_movers_tp_theme_css .='.center2 .ring::before{';
		$packers_and_movers_tp_theme_css .='background: '.esc_attr($packers_and_movers_tp_preloader_color2_option).' !important;';
	$packers_and_movers_tp_theme_css .='}';
	}

	$packers_and_movers_tp_preloader_bg_color_option = get_theme_mod('packers_and_movers_tp_preloader_bg_color_option');

	if($packers_and_movers_tp_preloader_bg_color_option != false){
	$packers_and_movers_tp_theme_css .='.loader{';
		$packers_and_movers_tp_theme_css .='background: '.esc_attr($packers_and_movers_tp_preloader_bg_color_option).';';
	$packers_and_movers_tp_theme_css .='}';
	}

	$packers_and_movers_tp_footer_bg_color_option = get_theme_mod('packers_and_movers_tp_footer_bg_color_option');


	if($packers_and_movers_tp_footer_bg_color_option != false){
	$packers_and_movers_tp_theme_css .='#footer{';
		$packers_and_movers_tp_theme_css .='background: '.esc_attr($packers_and_movers_tp_footer_bg_color_option).';';
	$packers_and_movers_tp_theme_css .='}';
	}

	// logo tagline color
	$packers_and_movers_site_tagline_color = get_theme_mod('packers_and_movers_site_tagline_color');

	if($packers_and_movers_site_tagline_color != false){
	$packers_and_movers_tp_theme_css .='.logo h1 a, .logo p a, .logo p.site-title a{';
	$packers_and_movers_tp_theme_css .='color: '.esc_attr($packers_and_movers_site_tagline_color).';';
	$packers_and_movers_tp_theme_css .='}';
	}

	$packers_and_movers_logo_tagline_color = get_theme_mod('packers_and_movers_logo_tagline_color');
	if($packers_and_movers_logo_tagline_color != false){
	$packers_and_movers_tp_theme_css .='p.site-description{';
	$packers_and_movers_tp_theme_css .='color: '.esc_attr($packers_and_movers_logo_tagline_color).';';
	$packers_and_movers_tp_theme_css .='}';
	}

	// footer widget title color
	$packers_and_movers_footer_widget_title_color = get_theme_mod('packers_and_movers_footer_widget_title_color');
	if($packers_and_movers_footer_widget_title_color != false){
	$packers_and_movers_tp_theme_css .='#footer h3, #footer h2.wp-block-heading{';
	$packers_and_movers_tp_theme_css .='color: '.esc_attr($packers_and_movers_footer_widget_title_color).';';
	$packers_and_movers_tp_theme_css .='}';
	}

	// copyright text color
	$packers_and_movers_footer_copyright_text_color = get_theme_mod('packers_and_movers_footer_copyright_text_color');
	if($packers_and_movers_footer_copyright_text_color != false){
	$packers_and_movers_tp_theme_css .='#footer .site-info p, #footer .site-info a {';
	$packers_and_movers_tp_theme_css .='color: '.esc_attr($packers_and_movers_footer_copyright_text_color).'!important;';
	$packers_and_movers_tp_theme_css .='}';
	}
	
// header image title color
$packers_and_movers_header_image_title_text_color = get_theme_mod('packers_and_movers_header_image_title_text_color');
if($packers_and_movers_header_image_title_text_color != false){
$packers_and_movers_tp_theme_css .='.box-text h2{';
$packers_and_movers_tp_theme_css .='color: '.esc_attr($packers_and_movers_header_image_title_text_color).';';
$packers_and_movers_tp_theme_css .='}';
}

// menu color
$packers_and_movers_menu_color = get_theme_mod('packers_and_movers_menu_color');
if($packers_and_movers_menu_color != false){
$packers_and_movers_tp_theme_css .='.main-navigation a{';
$packers_and_movers_tp_theme_css .='color: '.esc_attr($packers_and_movers_menu_color).';';
$packers_and_movers_tp_theme_css .='}';
}

//Footer Font Weight
$packers_and_movers_footer_copyright_title_font_weight = get_theme_mod( 'packers_and_movers_footer_copyright_title_font_weight','');
if($packers_and_movers_footer_copyright_title_font_weight == '100'){
$packers_and_movers_tp_theme_css .='#footer .site-info p {';
    $packers_and_movers_tp_theme_css .='font-weight: 100;';
$packers_and_movers_tp_theme_css .='}';
}else if($packers_and_movers_footer_copyright_title_font_weight == '200'){
$packers_and_movers_tp_theme_css .='#footer .site-info p {';
    $packers_and_movers_tp_theme_css .='font-weight: 200;';
$packers_and_movers_tp_theme_css .='}';
}else if($packers_and_movers_footer_copyright_title_font_weight == '300'){
$packers_and_movers_tp_theme_css .='#footer .site-info p {';
    $packers_and_movers_tp_theme_css .='font-weight: 300;';
$packers_and_movers_tp_theme_css .='}';
}else if($packers_and_movers_footer_copyright_title_font_weight == '400'){
$packers_and_movers_tp_theme_css .='#footer .site-info p {';
    $packers_and_movers_tp_theme_css .='font-weight: 400;';
$packers_and_movers_tp_theme_css .='}';
}else if($packers_and_movers_footer_copyright_title_font_weight == '500'){
$packers_and_movers_tp_theme_css .='#footer .site-info p {';
    $packers_and_movers_tp_theme_css .='font-weight: 500;';
$packers_and_movers_tp_theme_css .='}';
}else if($packers_and_movers_footer_copyright_title_font_weight == '600'){
$packers_and_movers_tp_theme_css .='#footer .site-info p {';
    $packers_and_movers_tp_theme_css .='font-weight: 600;';
$packers_and_movers_tp_theme_css .='}';
}else if($packers_and_movers_footer_copyright_title_font_weight == '700'){
$packers_and_movers_tp_theme_css .='#footer .site-info p {';
    $packers_and_movers_tp_theme_css .='font-weight: 700;';
$packers_and_movers_tp_theme_css .='}';
}else if($packers_and_movers_footer_copyright_title_font_weight == '800'){
$packers_and_movers_tp_theme_css .='#footer .site-info p {';
    $packers_and_movers_tp_theme_css .='font-weight: 800;';
$packers_and_movers_tp_theme_css .='}';
}else if($packers_and_movers_footer_copyright_title_font_weight == '900'){
$packers_and_movers_tp_theme_css .='#footer .site-info p {';
    $packers_and_movers_tp_theme_css .='font-weight: 900;';
$packers_and_movers_tp_theme_css .='}';
}